package apemanager

import (
	ape "git.frostfs.info/TrueCloudLab/frostfs-api-go/v2/ape/grpc"
	session "git.frostfs.info/TrueCloudLab/frostfs-api-go/v2/session/grpc"
)

func (rb *AddChainRequest_Body) SetTarget(t *ape.ChainTarget) {
	rb.Target = t
}

func (rb *AddChainRequest_Body) SetChain(chain *ape.Chain) {
	rb.Chain = chain
}

func (r *AddChainRequest) SetBody(rb *AddChainRequest_Body) {
	r.Body = rb
}

func (r *AddChainRequest) SetMetaHeader(mh *session.RequestMetaHeader) {
	r.MetaHeader = mh
}

func (r *AddChainRequest) SetVerifyHeader(vh *session.RequestVerificationHeader) {
	r.VerifyHeader = vh
}

func (rb *AddChainResponse_Body) SetChainId(chainID []byte) {
	rb.ChainId = chainID
}

func (r *AddChainResponse) SetBody(rb *AddChainResponse_Body) {
	r.Body = rb
}

func (r *AddChainResponse) SetMetaHeader(mh *session.ResponseMetaHeader) {
	r.MetaHeader = mh
}

func (r *AddChainResponse) SetVerifyHeader(vh *session.ResponseVerificationHeader) {
	r.VerifyHeader = vh
}

func (rb *RemoveChainRequest_Body) SetTarget(t *ape.ChainTarget) {
	rb.Target = t
}

func (rb *RemoveChainRequest_Body) SetChainId(chainID []byte) {
	rb.ChainId = chainID
}

func (r *RemoveChainRequest) SetBody(rb *RemoveChainRequest_Body) {
	r.Body = rb
}

func (r *RemoveChainRequest) SetMetaHeader(mh *session.RequestMetaHeader) {
	r.MetaHeader = mh
}

func (r *RemoveChainRequest) SetVerifyHeader(vh *session.RequestVerificationHeader) {
	r.VerifyHeader = vh
}

func (r *RemoveChainResponse) SetBody(rb *RemoveChainResponse_Body) {
	r.Body = rb
}

func (r *RemoveChainResponse) SetMetaHeader(mh *session.ResponseMetaHeader) {
	r.MetaHeader = mh
}

func (r *RemoveChainResponse) SetVerifyHeader(vh *session.ResponseVerificationHeader) {
	r.VerifyHeader = vh
}

func (r *ListChainsRequest_Body) SetTarget(t *ape.ChainTarget) {
	r.Target = t
}

func (r *ListChainsRequest) SetBody(rb *ListChainsRequest_Body) {
	r.Body = rb
}

func (r *ListChainsRequest) SetMetaHeader(mh *session.RequestMetaHeader) {
	r.MetaHeader = mh
}

func (r *ListChainsRequest) SetVerifyHeader(vh *session.RequestVerificationHeader) {
	r.VerifyHeader = vh
}

func (rb *ListChainsResponse_Body) SetChains(chains []*ape.Chain) {
	rb.Chains = chains
}

func (r *ListChainsResponse) SetBody(rb *ListChainsResponse_Body) {
	r.Body = rb
}

func (r *ListChainsResponse) SetMetaHeader(mh *session.ResponseMetaHeader) {
	r.MetaHeader = mh
}

func (r *ListChainsResponse) SetVerifyHeader(vh *session.ResponseVerificationHeader) {
	r.VerifyHeader = vh
}
